GPIOSIM(4) | Kernel Interfaces Manual | GPIOSIM(4)

# NAME

gpiosim — General Purpose Input/Output Simulator

# SYNOPSIS

pseudo-device gpiosim

# DESCRIPTION

The gpiosim pseudo-device simulates a 32-bit wide gpio(4) device. The state of the simulated device can be manipulated through the sysctl(8) interface. For this purpose, access the "hw.gpiosim<N>.value" sysctl(8) variable, where "<N>" denotes the number of the gpiosim instance.

# SEE ALSO

gpio(4), sysctl(8)

# AUTHORS

The gpiosim driver was written by Marc Balmer <marc@msys.ch>.

August 1, 2009 | NetBSD 6.0